Bug 69644 - [FileSystem API] DirectoryEntry.removeRecursively successCallback is required
Summary: [FileSystem API] DirectoryEntry.removeRecursively successCallback is required
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Pilgrim (Google)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-07 11:05 PDT by Mark Pilgrim (Google)
Modified: 2011-12-01 15:18 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.61 KB, patch)
2011-10-07 11:06 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff
Patch (3.76 KB, patch)
2011-12-01 12:17 PST, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pilgrim (Google) 2011-10-07 11:05:42 PDT
According to http://dev.w3.org/2009/dap/file-system/pub/FileSystem/#idl-def-DirectoryEntry , the first parameter (successCallback) to the removeRecursively() method is required. This test calls the method without the required parameter and logs the result.

Expected behavior: throws TypeError: not enough arguments
Actual behavior: no exception thrown
Comment 1 Mark Pilgrim (Google) 2011-10-07 11:06:42 PDT
Created attachment 110178 [details]
Patch
Comment 2 Adam Barth 2011-10-14 23:03:49 PDT
Comment on attachment 110178 [details]
Patch

Would you be willing to merge this test with http://trac.webkit.org/browser/trunk/LayoutTests/fast/filesystem/not-enough-arguments.html ?
Comment 3 Mark Pilgrim (Google) 2011-12-01 12:17:16 PST
Created attachment 117456 [details]
Patch
Comment 4 WebKit Review Bot 2011-12-01 15:18:13 PST
Comment on attachment 117456 [details]
Patch

Clearing flags on attachment: 117456

Committed r101718: <http://trac.webkit.org/changeset/101718>
Comment 5 WebKit Review Bot 2011-12-01 15:18:32 PST
All reviewed patches have been landed.  Closing bug.